data:extend({

	{
		type = "fluid",
		name = "alkanes",
		icon = "__CI-oil__/graphics/icons/alkanes.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "natural-gas",
		icon = "__CI-oil__/graphics/icons/gas-natural-1.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "naphtha",
		icon = "__CI-oil__/graphics/icons/liquid-naphtha.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "gas-oil",
		icon = "__CI-oil__/graphics/icons/gas-oil.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "exhaust",
		icon = "__CI-oil__/graphics/icons/gas-raw-1.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "hydrogen",
		icon = "__CI-oil__/graphics/icons/gas-hydrogen.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "oxygen",
		icon = "__CI-oil__/graphics/icons/gas-oxygen.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "carbon-monoxide",
		icon = "__CI-oil__/graphics/icons/gas-carbon-monoxide.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "carbon-dioxide",
		icon = "__CI-oil__/graphics/icons/gas-carbon-dioxide.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
	{
		type = "fluid",
		name = "H2S",
		icon = "__CI-oil__/graphics/icons/gas-hydrogen-sulfide.png",
		default_temperature = 20,
		heat_capacity = "0KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 20,
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[crude-oil]"
	},
	
})