data:extend({
  {
    type = "resource",
    name = "natural-gas",
    icon = "__CI-oil__/graphics/icons/natural-gas.png",
    flags = {"placeable-neutral"},
    category = "basic-fluid",
    order="a-b-b",
    infinite = false,
    minimum = 1500,
    normal = 15000,
    minable =
    {
      hardness = 1,
      mining_time = 0.5,
      results =
      {
        {
          type = "fluid",
          name = "natural-gas",
          amount_min = 1,
          amount_max = 1,
          probability = 1
        }
      }
    },
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "natural-gas",
      sharpness = 0.99,
      max_probability = 0.035,
			richness_base = 5000,
      richness_multiplier = 15000,
      richness_multiplier_distance_bonus = 10,
      coverage = 0.015,
      peaks =
      {
        {
          noise_layer = "crude-oil",
          noise_octaves_difference = -2,
          noise_persistence = 0.4
        }
      }
    },
    stage_counts = {0},
    stages =
		{
		sheet = {
      filename = "__CI-oil__/graphics/entity/natural-gas/natural-gas.png",
      priority = "extra-high",
      width = 75,
      height = 61,
      frame_count = 4,
      variation_count = 1
	  }
    },
    map_color = {r=0, g=11, b=255},
    map_grid = false
  },
  
  {
    type = "autoplace-control",
    name = "natural-gas",
    richness = true,
    order = "b-e2"
  },
})