data:extend({
	  {
		type = "recipe",
		name = "steam-methane-reforming",
		category = "steam-reforming",
		icon = "__CI-oil__/graphics/icons/gas-hydrogen.png",
		enabled = false,
		energy_required = 25,
		ingredients =
		{
			{type="fluid", name="natural-gas", amount=10},
			{type="fluid", name="water", amount=10}
			
		},
		results = 
		{
			{type="fluid", name="hydrogen", amount=30},
			{type="fluid", name="carbon-monoxide", amount=10},
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-b[advanced-oil-processing]"
	},
	
	{
		type = "recipe",
		name = "steam-methane-reforming-catalyst",
		category = "steam-reforming",
		icon = "__CI-oil__/graphics/icons/gas-hydrogen.png",
		enabled = false,
		energy_required = 25,
		ingredients =
		{
			{type="fluid", name="natural-gas", amount=10},
			{type="fluid", name="water", amount=20},
			{type="item", name="iron-plate", amount=1},
			
		},
		results = 
		{
			{type="fluid", name="hydrogen", amount=40},
			{type="fluid", name="carbon-dioxide", amount=10},
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-b[advanced-oil-processing]"
	},

})