local KTE = MoEntity.KeyToEnt

FluidFuels = {}

require ("fluidfuels")

local Fuels = FluidFuels

MoEntity.CreateAdvEntityHook("biofuel-gen","BioFuelGenSpawnSpawn",{{Type="fluid-fuel-storage",Name="FuelTank"},{Type="fluid-fuel-storage",Name="FuelTank2",x=0,y=-1}},{},0.2,function(ent)
	local E = ent.entity
	if E and E.valid then
		local Fuel = MoEntity.KeyToEnt(ent.bits["FuelTank"].E)
		local Fuel2 = MoEntity.KeyToEnt(ent.bits["FuelTank2"].E)
		if (Fuel and Fuel.valid) and (Fuel2 and Fuel2.valid) then
			EthanolToPower(E,Fuel,Fuel2)
		end
		return true
	end	
	return false		
end)


function EthanolToPower(Genr,Tank,Tank2)

local PLvl = Genr.energy or 0
	local MJAmount = MoMath.GetMJ()
	local MaxEnergy = 100*MJAmount
	local surface = Genr.surface
	--game.player.print("Inv "..Inv)
	
	for i,d in pairs(Fuels) do
	  local F = Tank.fluidbox[1]
	  local G = Tank2.fluidbox[1]
	  if (F and F.type == "water") and (G and G.type == "water") then
		if Tank.fluidbox[1].amount>=2 and Tank2.fluidbox[1].amount >=1 then
			local FLvl = PLvl+((d*MJAmount)*Tank.fluidbox[1].amount)
			--game.player.print("Ener "..i.." : "..FLvl.." o "..MaxEnergy )
			if FLvl<=MaxEnergy then
				Tank.fluidbox[1]={
					type = F.type,
					amount = F.amount-2,
				}
				Tank2.fluidbox[1]={
					type = G.type,
					amount = G.amount-1,
				}
				Genr.energy = FLvl
				return
	  --[[if F and F.type == "oxygen" then
		if Tank.fluidbox[2].amount>=2 and Tank.fluidbox[1].amount >=1 then
			local FLvl = PLvl+((d*MJAmount)*Tank.fluidbox[2].amount)
			--game.player.print("Ener "..i.." : "..FLvl.." o "..MaxEnergy )
			if FLvl<=MaxEnergy then
				Tank.fluidbox[1]={
					type = F.type,
					amount = F.amount-1,
				}
				Tank.fluidbox[2]={
					type = F.type,
					amount = F.amount-2,
				}
				Genr.energy = FLvl
				return]]
			else
				local Count = math.floor((MaxEnergy-PLvl)/(d*MJAmount))
				--game.player.print("Count "..i.." : "..Count)
				if F and F.type == "water" then
				  if Tank.fluidbox[1].amount>=Count and Count>0 then
					local FLvl = PLvl+((d*MJAmount)*Count)
					if FLvl<=MaxEnergy then
						Tank.fluidbox[1]={
							type = F.type,
							amount = F.amount-2,
						}
						--[[Tank.fluidbox[2]={
							type = F.type,
							amount = F.amount-1,
						}]]
						Genr.energy = FLvl
						return
				--[[if F and F.type == "oxygen" then
				  if Tank.fluidbox[2].amount>=Count and Count>0 then
					local FLvl = PLvl+((d*MJAmount)*Count)
					if FLvl<=MaxEnergy then
						Tank.fluidbox[1]={
							type = F.type,
							amount = F.amount-1,
						}
						Tank.fluidbox[2]={
							type = F.type,
							amount = F.amount-2,
						}
						Genr.energy = FLvl
						return]]
					else
						game.player.print("Error "..i.." : "..FLvl)
					end
					end
				end
			  end
			end
		end
	end
end

--[[function BioFuelThink()
	local KTE = MoEntity.KeyToEnt
	MoEntity.CallLoop("BioFuelStorages",function(ent)
		local E = KTE(ent.entity)
		if E.valid then
			local Pos = E.position
			local Chest=game.get_surface(1).create_entity{name = "fluid-fuel-storage", position={x=Pos.x or 0,y=Pos.y or 0}}
			
			Chest.force = ent.extra.F.force
			
			Chest.get_inventory(1).insert({name="biofuel-gen",count=1})
			for i,d in pairs(E.get_inventory(1).get_contents()) do
				Chest.get_inventory(1).insert({name=i,count=d})
			end
			Chest.order_deconstruction(Chest.force)
			
			if ent.extra.F.valid then ent.extra.F.die() end				
			E.destroy()
		
			end
			return true
	end)
end

MoTimers.CacheFunction("BioFuelThink",BioFuelThink)

MoEntity.SubscribeOnBuilt("biofuel-gen","BioFuelGenSpawn",function(entity)
	MoEntity.AddToLoop("BioFuelStorages",entity,{})
end)]]

