local KTE = MoEntity.KeyToEnt

FluidFuels = {}

require ("fluidfuels")

local Fuels = FluidFuels

MoEntity.CreateAdvEntityHook("fuel-cell-power-plant","FuelCellSpawn",{{Type="fluid-fuel-storage",Name="FuelTank",x=-3,y=1},{Type="fluid-fuel-storage",Name="FuelTank2",x=-3,y=-1}},{},0.2,function(ent)
	local E = ent.entity
	if E and E.valid then
		local Fuel = KTE(ent.bits["FuelTank"].E)
		local Fuel2 = KTE(ent.bits["FuelTank2"].E)
		if (Fuel and Fuel.valid) and (Fuel2 and Fuel2.valid) then
			HydrogenToPower(E,Fuel,Fuel2)
		end
		return true
	end	
	return false		
end)

function HydrogenToPower(Genr,Tank,Tank2)

local PLvl = Genr.energy or 0
	local MJAmount = MoMath.GetMJ()
	local MaxEnergy = 100*MJAmount
	local surface = Genr.surface
	
	for i,d in pairs(Fuels) do
	  local F = Tank.fluidbox[1]
	  local G = Tank2.fluidbox[1]
	  
	  if (F and F.type == "hydrogen") and (G and G.type == "oxygen") then
	    if Tank.fluidbox[1].amount>=2 and Tank2.fluidbox[1].amount>=1 then
			local FLvl = PLvl+((d*MJAmount)*Tank.fluidbox[1].amount)
			if FLvl<=MaxEnergy then
			  Tank.fluidbox[1]={
			    type = F.type,
				amount = F.amount-2,
			  }
			  Tank2.fluidbox[1]={
				type = G.type,
				amount = G.amount-1,
			  }
			  Genr.energy = FLvl
			  return
			end
		end
	  elseif (F and F.type == "oxygen") and (G and G.type == "hydrogen") then
		if Tank.fluidbox[1].amount>=1 and Tank2.fluidbox[1].amount>=2 then
			local FLvl = PLvl+((d*MJAmount)*Tank2.fluidbox[1].amount)
			if FLvl<=MaxEnergy then
			  Tank.fluidbox[1]={
			    type = F.type,
				amount = F.amount-1,
			  }
			  Tank2.fluidbox[1]={
				type = G.type,
				amount = G.amount-2,
			  }
			  Genr.energy = FLvl
			  return
			end
		end		
	  else
		local Count = math.floor((MaxEnergy-PLvl)/(d*MJAmount))

		if (F and F.type == "hydrogen") and (G and G.type == "oxygen") then
		  if (Tank.fluidbox[1].amount>=Count and Count>0) and (Tank2.fluidbox[1].amount>=Count and Count>0) then
			local FLvl = PLvl+((d*MJAmount)*Count)
			  if FLvl<=MaxEnergy then
				Tank.fluidbox[1]={
				  type = F.type,
				  amount = F.amount-2,
				}
				Tank2.fluidbox[1]={
				  type = G.type,
				  amount = G.amount-1,
				}
				Genr.energy = FLvl
				return
			  end
		  end
		elseif (F and F.type == "oxygen") and (G and G.type == "hydrogen") then
		  if (Tank.fluidbox[1].amount>=Count and Count>0) and (Tank2.fluidbox[1].amount>=Count and Count>0) then
			local FLvl = PLvl+((d*MJAmount)*Count)
			  if FLvl<=MaxEnergy then
				Tank.fluidbox[1]={
				  type = F.type,
				  amount = F.amount-1,
				}
				Tank2.fluidbox[1]={
				  type = G.type,
				  amount = G.amount-2,
				}
				Genr.energy = FLvl
				return
			  end
		  end
		else
		  game.player.print("Error "..i.." : "..FLvl)
		end
	  end
	end
end