data:extend({

	{
		type = "accumulator",
		name = "fuel-cell-power-plant",
		icon = "__CI-oil__/graphics/icons/fuel-cell-power-plant_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 2.0, result = "fuel-cell-power-plant"},
		max_health = 1000,
		corpse = "medium-remnants",
		collision_box = {{-2.5, -2.5}, {2.5, 2.5}},
		selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
		energy_source =
		{
		  type = "electric",
		  buffer_capacity = "200MJ",
		  usage_priority = "primary-output",
		  input_flow_limit = "0kW",
		  output_flow_limit = "20000kW"
		},
		picture =
		{
			filename = "__CI-oil__/graphics/entity/biofuel-gen-1/biofuel-gen.png",
			priority = "extra-high",
			width = 81,
			height = 64,
			shift = {0.5, 0.05 }
		},
		charge_animation =
		{
			filename = "__CI-oil__/graphics/entity/biofuel-gen-1/biofuel-gen.png",
			priority = "extra-high",
			width = 81,
			height = 64,
			frame_count = 1,
			shift = {0.5, 0.05 }
		},
		charge_cooldown = 30,
		charge_light = {intensity = 0, size = 0},
		discharge_animation =
		{
			filename = "__CI-oil__/graphics/entity/biofuel-gen-1/biofuel-genrunning.png",
			priority = "extra-high",
			width = 81,
			height = 64,
			frame_count = 12,
			shift = {0.5, 0.05}
		},
		discharge_cooldown = 60,
		discharge_light = {intensity = 0.7, size = 7},
	},
	{
		type = "item",
		name = "fuel-cell-power-plant",
		icon = "__CI-oil__/graphics/icons/fuel-cell-power-plant_icon.png",
		flags = {"goes-to-quickbar"},
		place_result = "fuel-cell-power-plant",
		stack_size = 5
	},
	{
		type = "recipe",
		name = "fuel-cell-power-plant",
		enabled = false,
		energy_required = 60,
		ingredients =
		{
		  {"steel-plate", 200},
		  {"pipe",50},
		  {"electronic-circuit",100},
		  {"advanced-circuit",100},
		  {"processing-unit",50}
		},
		result = "fuel-cell-power-plant",
		subgroup = "energy",
		order = "e"
    },
	
})